diff -uwr source/teamspeak/General.cpp 4.0/source/teamspeak/General.cpp
--- source/teamspeak/General.cpp	2009-04-12 11:51:52.000000000 +0800
+++ 4.0/source/teamspeak/General.cpp	2011-10-11 23:02:41.829101500 +0800
@@ -1 +1,12 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
diff -uwr source/teamspeak/General.h 4.0/source/teamspeak/General.h
--- source/teamspeak/General.h	2011-04-19 00:35:22.000000000 +0800
+++ 4.0/source/teamspeak/General.h	2011-10-11 23:02:40.478515600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TEAMSPEAK_INCLUDE__GENERAL_H
 #define TEAMSPEAK_INCLUDE__GENERAL_H
 
diff -uwr source/teamspeak/TCPclass.cpp 4.0/source/teamspeak/TCPclass.cpp
--- source/teamspeak/TCPclass.cpp	2011-04-19 00:51:24.000000000 +0800
+++ 4.0/source/teamspeak/TCPclass.cpp	2011-10-11 23:02:39.259765600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "TCPclass.h"
 #pragma warning (disable: 4127)
diff -uwr source/teamspeak/TCPclass.h 4.0/source/teamspeak/TCPclass.h
--- source/teamspeak/TCPclass.h	2011-04-19 00:47:42.000000000 +0800
+++ 4.0/source/teamspeak/TCPclass.h	2011-10-11 23:02:37.763671800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TEAMSPEAK_INCLUDE__TCPCLASS_H
 #define TEAMSPEAK_INCLUDE__TCPCLASS_H
 class TCPSocket
diff -uwr source/teamspeak/teamspeak.cpp 4.0/source/teamspeak/teamspeak.cpp
--- source/teamspeak/teamspeak.cpp	2011-04-30 09:22:40.000000000 +0800
+++ 4.0/source/teamspeak/teamspeak.cpp	2011-10-11 23:02:36.131835900 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "teamspeak.h"
 #include "TCPclass.h"
diff -uwr source/teamspeak/teamspeak.h 4.0/source/teamspeak/teamspeak.h
--- source/teamspeak/teamspeak.h	2011-04-19 00:26:06.000000000 +0800
+++ 4.0/source/teamspeak/teamspeak.h	2011-10-11 23:02:34.471679600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 #include "gmplugin.h"
